package veterinaire;

/**
 * On modlise un Rendez-vous comme dans la vrai vie quand on va chez le
 * medecin. Lorsque vous prenez un rendez vous on vous demande votre nom et une
 * heure. ici on a choisis de rpresenter la Date par un double. On aurait pu
 * utiliser un objet. afin de simplifier l'exercice on a choisis un double.
 */
public class RendezVous {
	private String nom;
	private double maDate;

	// constructeur
	public RendezVous(String pNom, double pMaDate) {
		this.nom = pNom;
		this.maDate = pMaDate;
	}

	public String getNom() {
		return this.nom;
	}

	public Double getMaDate() {
		return this.maDate;
	}

	/**
	 * Surcharge de la mthode toString Surcharge : Recriture d'une mthode dj
	 * existante dans un parent. (Ici le parent est l'objet {@link Object} l'objet
	 * parent "ultime" en quelque sorte RendezVous hrite de Object)
	 */
	@Override
	public String toString() {
		return "Le rendez vous de " + this.getNom() + " est  " + this.getMaDate() + " heures";
	}

}
